GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_byte_buffer Struct Reference

`#include <byte_buffer.h>`

## Data Fields
grpc_byte_buffer_type | type
union {
struct {
grpc_compression_algorithm compression
gpr_slice_buffer slice_buffer
} raw
} | data

## Field Documentation

grpc_compression_algorithm grpc_byte_buffer::compression

union { ... } grpc_byte_buffer::data

struct { ... } grpc_byte_buffer::raw

gpr_slice_buffer grpc_byte_buffer::slice_buffer

grpc_byte_buffer_type grpc_byte_buffer::type

The documentation for this struct was generated from the following file:

- include/grpc/byte_buffer.h